Commit 6e5206f7 authored by Guilhem Saurel's avatar Guilhem Saurel

[CMake] manually set .pc Requires

This should be temporary, until either:
- we find a proper solution in the submodule
- we are sure that no project use the .pc anymore
parent 4cd82309
......@@ -30,6 +30,10 @@ INCLUDE_DIRECTORIES(SYSTEM ${PYTHON_INCLUDE_DIRS})
ADD_REQUIRED_DEPENDENCY(eigen3)
ADD_PROJECT_DEPENDENCY(dynamic-graph 3.8.1 REQUIRED)
# manually append to the .pc dependencies for now
# ref https://github.com/jrl-umi3218/jrl-cmakemodules/issues/320
_ADD_TO_LIST(_PKG_CONFIG_REQUIRES "dynamic-graph >= 3.8.1" ",")
PKG_CONFIG_APPEND_LIBS("dynamic-graph-python")
SET(BOOST_COMPONENTS filesystem system thread program_options unit_test_framework python)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment